org.apache.commons.codec

## Interface BinaryEncoder

- All Superinterfaces:
    Encoder
  All Known Implementing Classes:
    Base32, Base64, BaseNCodec, BinaryCodec, Hex, QuotedPrintableCodec, URLCodec

      public interface BinaryEncoder
      extends Encoder

  Defines common encoding methods for byte array encoders.
  Version:
    $Id: BinaryEncoder.java 1379145 2012-08-30 21:02:52Z tn $

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `encode(byte[] source)` Encodes a byte array and return the encoded data as a byte array.

    - ### Methods inherited from interface org.apache.commons.codec.Encoder

      `encode`

- - ### Method Detail

    - #### encode

          byte[] encode(byte[] source)
                        throws EncoderException

      Encodes a byte array and return the encoded data as a byte array.
      Parameters:
        `source` - Data to be encoded
      Returns:
        A byte array containing the encoded data
      Throws:
        `EncoderException` - thrown if the Encoder encounters a failure condition during the encoding process.

Copyright © 2002-2013 The Apache Software Foundation. All Rights Reserved.